package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bcd;
import com.brilliance.isc.bo.Brd;
import com.brilliance.isc.vo.collection.BcdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.collection.BctselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BcdMapper {

    int insert(Bcd record);

    int insertSelective(Bcd record);

    int updateByPrimaryKeySelective(Bcd record);

    int updateByPrimaryKey(Bcd record);

    int deleteByPrimaryKey(Bcd record);

    int deleteByIds(Collection<Object> collection);

    Bcd selectByPrimaryKey(Bcd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bcd> dyncRead(Map<String, Object> dyncMap);

    Bcd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Bcd selectByWhere(Bcd record);

    String selectInrByownref(String ownref);

    List<BcdWithPtsCbbResponseVo> queryBcd(BctselQueryVo bctselQueryVo);

    List<Bcd> selectByOwn(@Param("ownref") String ownref, @Param("bchkeyinr") String bchkeyinr);

    Bcd queryByInr(@Param("inr") String inr);

    List<BcdWithPtsCbbResponseVo> queryBcdInfo(BctselQueryVo bctselQueryVo);

    Bcd selectByOwnref(String ownref);

}